Index: /trunk/src/bp-core/classes/class-bp-button.php
===================================================================
--- /trunk/src/bp-core/classes/class-bp-button.php	(revision 10011)
+++ /trunk/src/bp-core/classes/class-bp-button.php	(revision 10012)
@@ -17,28 +17,30 @@
  * @param array $args {
  *     Array of arguments.
- *     @type string $id String describing the button type.
- *     @type string $component The name of the component the button belongs to.
- *           Default: 'core'.
- *     @type bool $must_be_logged_in Optional. Does the user need to be logged
- *           in to see this button? Default: true.
- *     @type bool $block_self Optional. True if the button should be hidden
- *           when a user is viewing his own profile. Default: true.
- *     @type string|bool $wrapper Optional. HTML element type that should wrap
- *           the button: 'div', 'span', 'p', or 'li'. False for no wrapper at
- *           all. Default: 'div'.
- *     @type string $wrapper_id Optional. DOM ID of the button wrapper element.
- *           Default: ''.
- *     @type string $wrapper_class Optional. DOM class of the button wrapper
- *           element. Default: ''.
- *     @type string $link_href Optional. Destination link of the button.
- *           Default: ''.
- *     @type string $link_class Optional. DOM class of the button. Default: ''.
- *     @type string $link_id Optional. DOM ID of the button. Default: ''.
- *     @type string $link_rel Optional. DOM 'rel' attribute of the button.
- *           Default: ''.
- *     @type string $link_title Optional. Title attribute of the button.
- *           Default: ''.
- *     @type string $link_text Optional. Text to appear on the button.
- *           Default: ''.
+ *
+ *     @type string      $id                String describing the button type.
+ *     @type string      $component         The name of the component the button belongs to.
+ *                                          Default: 'core'.
+ *     @type bool        $must_be_logged_in Optional. Does the user need to be logged
+ *                                          in to see this button? Default: true.
+ *     @type bool        $block_self        Optional. True if the button should be hidden
+ *                                          when a user is viewing his own profile.
+ *                                          Default: true.
+ *     @type string|bool $wrapper           Optional. HTML element type that should wrap
+ *                                          the button: 'div', 'span', 'p', or 'li'.
+ *                                          False for no wrapper at all. Default: 'div'.
+ *     @type string      $wrapper_id        Optional. DOM ID of the button wrapper element.
+ *                                          Default: ''.
+ *     @type string      $wrapper_class     Optional. DOM class of the button wrapper
+ *                                          element. Default: ''.
+ *     @type string      $link_href         Optional. Destination link of the button.
+ *                                          Default: ''.
+ *     @type string      $link_class        Optional. DOM class of the button. Default: ''.
+ *     @type string      $link_id           Optional. DOM ID of the button. Default: ''.
+ *     @type string      $link_rel          Optional. DOM 'rel' attribute of the button.
+ *                                          Default: ''.
+ *     @type string      $link_title        Optional. Title attribute of the button.
+ *                                          Default: ''.
+ *     @type string      $link_text         Optional. Text to appear on the button.
+ *                                          Default: ''.
  * }
  */
@@ -153,7 +155,5 @@
 	 * @since BuddyPress (1.2.6)
 	 *
-	 * @param array $args See {@BP_Button}.
-	 * @return bool|null Returns false when the button is not allowed for
-	 *         the current context.
+	 * @param array|string $args See {@BP_Button}.
 	 */
 	public function __construct( $args = '' ) {
Index: /trunk/src/bp-core/classes/class-bp-core-notification.php
===================================================================
--- /trunk/src/bp-core/classes/class-bp-core-notification.php	(revision 10011)
+++ /trunk/src/bp-core/classes/class-bp-core-notification.php	(revision 10012)
@@ -21,7 +21,7 @@
 
 	/**
-	 * The notification id
-	 *
-	 * @var integer
+	 * The notification id.
+	 *
+	 * @var int
 	 */
 	public $id;
@@ -30,5 +30,5 @@
 	 * The ID to which the notification relates to within the component.
 	 *
-	 * @var integer
+	 * @var int
 	 */
 	public $item_id;
@@ -37,5 +37,5 @@
 	 * The secondary ID to which the notification relates to within the component.
 	 *
-	 * @var integer
+	 * @var int
 	 */
 	public $secondary_item_id = null;
@@ -44,5 +44,5 @@
 	 * The user ID for who the notification is for.
 	 *
-	 * @var integer
+	 * @var int
 	 */
 	public $user_id;
@@ -81,5 +81,5 @@
 	 * Constructor
 	 *
-	 * @param integer $id
+	 * @param int $id
 	 */
 	public function __construct( $id = 0 ) {
@@ -93,6 +93,7 @@
 	 * Update or insert notification details into the database.
 	 *
-	 * @global wpdb $wpdb WordPress database object
-	 * @return bool Success or failure
+	 * @global wpdb $wpdb WordPress database object.
+	 *
+	 * @return bool Success or failure.
 	 */
 	public function save() {
@@ -123,5 +124,5 @@
 	 * Fetches the notification data from the database.
 	 *
-	 * @global wpdb $wpdb WordPress database object
+	 * @global wpdb $wpdb WordPress database object.
 	 */
 	public function populate() {
@@ -143,4 +144,12 @@
 	/** Static Methods ********************************************************/
 
+	/**
+	 * Check the access for a user.
+	 *
+	 * @param int $user_id         ID to check access for.
+	 * @param int $notification_id Notification ID to check for.
+	 *
+	 * @return string
+	 */
 	public static function check_access( $user_id, $notification_id ) {
 		global $wpdb;
@@ -155,6 +164,8 @@
 	 *
 	 * @global wpdb $wpdb WordPress database object
-	 * @param integer $user_id User ID
-	 * @param string $status 'is_new' or 'all'
+	 *
+	 * @param int    $user_id User ID.
+	 * @param string $status 'is_new' or 'all'.
+	 *
 	 * @return array Associative array
 	 * @static
@@ -175,9 +186,13 @@
 	 * Delete all the notifications for a user based on the component name and action.
 	 *
-	 * @global wpdb $wpdb WordPress database object
-	 * @param integer $user_id
+	 * @global wpdb $wpdb WordPress database object.
+	 *
+	 * @param int    $user_id
 	 * @param string $component_name
 	 * @param string $component_action
-	 * @static
+	 *
+	 * @static
+	 *
+	 * @return mixed
 	 */
 	public static function delete_for_user_by_type( $user_id, $component_name, $component_action ) {
@@ -192,11 +207,15 @@
 	 * Delete all the notifications that have a specific item id, component name and action.
 	 *
-	 * @global wpdb $wpdb WordPress database object
-	 * @param integer $user_id The ID of the user who the notifications are for.
-	 * @param integer $item_id The item ID of the notifications we wish to delete.
-	 * @param string $component_name The name of the component that the notifications we wish to delete.
-	 * @param string $component_action The action of the component that the notifications we wish to delete.
-	 * @param integer $secondary_item_id (optional) The secondary item id of the notifications that we wish to use to delete.
-	 * @static
+	 * @global wpdb $wpdb WordPress database object.
+	 *
+	 * @param int      $user_id           The ID of the user who the notifications are for.
+	 * @param int      $item_id           The item ID of the notifications we wish to delete.
+	 * @param string   $component_name    The name of the component that the notifications we wish to delete.
+	 * @param string   $component_action  The action of the component that the notifications we wish to delete.
+	 * @param int|bool $secondary_item_id (optional) The secondary item id of the notifications that we wish to
+	 *                                    use to delete.
+	 * @static
+	 *
+	 * @return mixed
 	 */
 	public static function delete_for_user_by_item_id( $user_id, $item_id, $component_name, $component_action, $secondary_item_id = false ) {
@@ -215,9 +234,12 @@
 	 * Deletes all the notifications sent by a specific user, by component and action.
 	 *
-	 * @global wpdb $wpdb WordPress database object
-	 * @param integer $user_id The ID of the user whose sent notifications we wish to delete.
-	 * @param string $component_name The name of the component the notification was sent from.
+	 * @global wpdb $wpdb WordPress database object.
+	 *
+	 * @param int    $user_id          The ID of the user whose sent notifications we wish to delete.
+	 * @param string $component_name   The name of the component the notification was sent from.
 	 * @param string $component_action The action of the component the notification was sent from.
 	 * @static
+	 *
+	 * @return mixed
 	 */
 	public static function delete_from_user_by_type( $user_id, $component_name, $component_action ) {
@@ -230,12 +252,16 @@
 
 	/**
-	 * Deletes all the notifications for all users by item id, and optional secondary item id, and component name and action.
-	 *
-	 * @global wpdb $wpdb WordPress database object
-	 * @param string $item_id The item id that they notifications are to be for.
-	 * @param string $component_name The component that the notifications are to be from.
-	 * @param string $component_action The action that the notifications are to be from.
+	 * Deletes all the notifications for all users by item id, and optional secondary item id,
+	 * and component name and action.
+	 *
+	 * @global wpdb $wpdb WordPress database object.
+	 *
+	 * @param string $item_id           The item id that they notifications are to be for.
+	 * @param string $component_name    The component that the notifications are to be from.
+	 * @param string $component_action  The action that the notifications are to be from.
 	 * @param string $secondary_item_id Optional secondary item id that the notifications are to have.
 	 * @static
+	 *
+	 * @return mixed
 	 */
 	public static function delete_all_by_type( $item_id, $component_name, $component_action, $secondary_item_id ) {
Index: /trunk/src/bp-core/classes/class-bp-core-user.php
===================================================================
--- /trunk/src/bp-core/classes/class-bp-core-user.php	(revision 10011)
+++ /trunk/src/bp-core/classes/class-bp-core-user.php	(revision 10012)
@@ -54,5 +54,5 @@
 
 	/**
-	 * The full name of the user
+	 * The full name of the user.
 	 *
 	 * @var string
@@ -100,5 +100,5 @@
 
 	/**
-	 * The total number of blog posts posted by the user
+	 * The total number of blog posts posted by the user.
 	 *
 	 * @var integer
@@ -129,7 +129,7 @@
 	 * Class constructor.
 	 *
-	 * @param integer $user_id The ID for the user being queried.
-	 * @param bool $populate_extras Whether to fetch extra information
-	 *        such as group/friendship counts or not. Default: false.
+	 * @param integer $user_id         The ID for the user being queried.
+	 * @param bool    $populate_extras Whether to fetch extra information such as
+	 *                                 group/friendship counts or not. Default: false.
 	 */
 	public function __construct( $user_id, $populate_extras = false ) {
@@ -228,23 +228,23 @@
 	 *      are used there in the same way.
 	 *
-	 * @param string $type See {@link BP_User_Query}.
-	 * @param int $limit See {@link BP_User_Query}. Default: 0.
-	 * @param int $page See {@link BP_User_Query}. Default: 1.
-	 * @param int $user_id See {@link BP_User_Query}. Default: 0.
-	 * @param mixed $include See {@link BP_User_Query}. Default: false.
-	 * @param string|bool $search_terms See {@link BP_User_Query}.
-	 *        Default: false.
-	 * @param bool $populate_extras See {@link BP_User_Query}.
-	 *        Default: true.
-	 * @param mixed $exclude See {@link BP_User_Query}. Default: false.
-	 * @param string|bool $meta_key See {@link BP_User_Query}.
-	 *        Default: false.
-	 * @param string|bool $meta_value See {@link BP_User_Query}.
-	 *        Default: false.
+	 * @param string      $type            See {@link BP_User_Query}.
+	 * @param int         $limit           See {@link BP_User_Query}. Default: 0.
+	 * @param int         $page            See {@link BP_User_Query}. Default: 1.
+	 * @param int         $user_id         See {@link BP_User_Query}. Default: 0.
+	 * @param mixed       $include         See {@link BP_User_Query}. Default: false.
+	 * @param string|bool $search_terms    See {@link BP_User_Query}.
+	 *                                     Default: false.
+	 * @param bool        $populate_extras See {@link BP_User_Query}.
+	 *                                     Default: true.
+	 * @param mixed       $exclude         See {@link BP_User_Query}. Default: false.
+	 * @param string|bool $meta_key        See {@link BP_User_Query}.
+	 *                                     Default: false.
+	 * @param string|bool $meta_value      See {@link BP_User_Query}.
+	 *                                     Default: false.
 	 * @return array {
-	 *     @type int $total_users Total number of users matched by query
-	 *           params.
+	 *     @type int   $total_users Total number of users matched by query
+	 *                              params.
 	 *     @type array $paged_users The current page of users matched by
-	 *           query params.
+	 *                              query params.
 	 * }
 	 */
@@ -444,12 +444,12 @@
 	 * @global wpdb $wpdb WordPress database object.
 	 *
-	 * @param string $letter The letter the users names are to start with.
-	 * @param int $limit The number of users we wish to retrive.
-	 * @param int $page The page number we are currently on, used in
-	 *        conjunction with $limit to get the start position for the
-	 *        limit.
-	 * @param bool $populate_extras Populate extra user fields?
-	 * @param string $exclude Comma-separated IDs of users whose results
-	 *        aren't to be fetched.
+	 * @param string $letter          The letter the users names are to start with.
+	 * @param int    $limit           The number of users we wish to retrive.
+	 * @param int    $page            The page number we are currently on, used in conjunction
+	 *                                with $limit to get the start position for the limit.
+	 * @param bool   $populate_extras Populate extra user fields?
+	 * @param string $exclude         Comma-separated IDs of users whose results
+	 *                                aren't to be fetched.
+	 *
 	 * @return mixed False on error, otherwise associative array of results.
 	 */
@@ -531,9 +531,11 @@
 	 *
 	 * @global wpdb $wpdb WordPress database object.
-	 * @param array $user_ids The user IDs of the users who we wish to
-	 *        fetch information on.
-	 * @param int $limit The limit of results we want.
-	 * @param int $page The page we are on for pagination.
-	 * @param bool $populate_extras Populate extra user fields?
+	 *
+	 * @param array $user_ids        The user IDs of the users who we wish to
+	 *                               fetch information on.
+	 * @param int   $limit           The limit of results we want.
+	 * @param int   $page            The page we are on for pagination.
+	 * @param bool  $populate_extras Populate extra user fields?
+	 *
 	 * @return array Associative array.
 	 */
@@ -626,9 +628,10 @@
 	 * @global wpdb $wpdb WordPress database object.
 	 *
-	 * @param string $search_terms The terms to search the profile table
-	 *        value column for.
-	 * @param integer $limit The limit of results we want.
-	 * @param integer $page The page we are on for pagination.
+	 * @param string  $search_terms    The terms to search the profile table
+	 *                                 value column for.
+	 * @param int     $limit           The limit of results we want.
+	 * @param int     $page            The page we are on for pagination.
 	 * @param boolean $populate_extras Populate extra user fields?
+	 *
 	 * @return array Associative array.
 	 */
@@ -686,7 +689,8 @@
 	 * @global wpdb $wpdb WordPress database object.
 	 *
-	 * @param array $paged_users An array of stdClass containing the users.
-	 * @param string $user_ids The user ids to select information about.
-	 * @param string $type The type of fields we wish to get.
+	 * @param array       $paged_users An array of stdClass containing the users.
+	 * @param string      $user_ids    The user ids to select information about.
+	 * @param string|bool $type        The type of fields we wish to get.
+	 *
 	 * @return mixed False on error, otherwise associative array of results.
 	 */
@@ -773,5 +777,6 @@
 	 * @global wpdb $wpdb WordPress database object.
 	 *
-	 * @param integer $user_id User ID.
+	 * @param int $user_id User ID.
+	 *
 	 * @return array Associative array.
 	 */
@@ -789,4 +794,5 @@
 	 *
 	 * @param int|array User IDs or multiple user IDs.
+	 *
 	 * @return array
 	 */
@@ -836,6 +842,7 @@
 	 * @since BuddyPress (2.0.0)
 	 *
-	 * @param int $user_id ID of the user whose last_activity you are updating.
-	 * @param string $time MySQL-formatted time string.
+	 * @param int    $user_id ID of the user whose last_activity you are updating.
+	 * @param string $time    MySQL-formatted time string.
+	 *
 	 * @return bool True on success, false on failure.
 	 */
@@ -926,6 +933,7 @@
 	 *
 	 * @param int $user_id
+	 *
 	 * @return bool True on success, false on failure or if no last_activity
-	 *         is found for the user.
+	 *              is found for the user.
 	 */
 	public static function delete_last_activity( $user_id ) {
Index: /trunk/src/bp-core/classes/class-bp-date-query.php
===================================================================
--- /trunk/src/bp-core/classes/class-bp-date-query.php	(revision 10011)
+++ /trunk/src/bp-core/classes/class-bp-date-query.php	(revision 10012)
@@ -34,4 +34,7 @@
 	 * Constructor.
 	 *
+	 * @param array  $date_query
+	 * @param string $column
+	 *
 	 * @see WP_Date_Query::__construct()
 	 */
@@ -55,5 +58,6 @@
 	 * Registers our date column with WP Date Query to pass validation.
 	 *
-	 * @param array $retval Current DB columns
+	 * @param array $retval Current DB columns.
+	 *
 	 * @return array
 	 */
Index: /trunk/src/bp-core/classes/class-bp-embed.php
===================================================================
--- /trunk/src/bp-core/classes/class-bp-embed.php	(revision 10011)
+++ /trunk/src/bp-core/classes/class-bp-embed.php	(revision 10012)
@@ -81,6 +81,7 @@
 	 * @uses WP_Embed::maybe_make_link()
 	 *
-	 * @param array $attr Shortcode attributes.
-	 * @param string $url The URL attempting to be embeded.
+	 * @param array  $attr Shortcode attributes.
+	 * @param string $url  The URL attempting to be embeded.
+	 *
 	 * @return string The embed HTML on success, otherwise the original URL.
 	 */
@@ -170,9 +171,10 @@
 	 *       oEmbed failure.
 	 *
-	 * @param int $id ID to do the caching for.
-	 * @param string $url The URL attempting to be embedded.
-	 * @param array $attr Shortcode attributes from {@link WP_Embed::shortcode()}.
-	 * @param array $rawattr Untouched shortcode attributes from
-	 *        {@link WP_Embed::shortcode()}.
+	 * @param int    $id      ID to do the caching for.
+	 * @param string $url     The URL attempting to be embedded.
+	 * @param array  $attr    Shortcode attributes from {@link WP_Embed::shortcode()}.
+	 * @param array  $rawattr Untouched shortcode attributes from
+	 *                        {@link WP_Embed::shortcode()}.
+	 *
 	 * @return string The embed HTML on success, otherwise the original URL.
 	 */
